
Synnefo - Bug # 1986

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades Images

Created: 02/02/2012 Assignee: Giorgos Verigakis

Updated: 02/07/2012 Due date:

Subject: Disallow creation of VMs from images deleted in Plankton

Description

Plankton allows for quering an image whose corresponding file on Pithos has been deleted, by looking for previous versions of the file and

returning metadata info with the deleted_at flag set.

This is useful for quering metadata of past images, but shouldn't lead to Cyclades allowing VM creation from deleted images.

Associated revisions

Revision bae23063 - 02/07/2012 12:48 pm - Giorgos Verigakis

Treat deleted images as nonexistent on create

Refs #1986

History

#1 - 02/07/2012 12:50 pm - Giorgos Verigakis

It should now return Image not found if you try to create an instance with a deleted image.

#2 - 02/07/2012 01:55 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Fix merged into master, closing ticket.
